> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

> Update a user by ID



## OpenAPI

````yaml /openapi.yaml patch /users/{user}
openapi: 3.0.0
info:
  title: Ziik API
  version: '1.0'
servers: []
security: []
tags:
  - name: Auth
    description: Auth
  - name: Posts
    description: Posts
  - name: Counters
    description: Counters
  - name: Groups
    description: Groups
  - name: Languages
    description: Languages
  - name: Timezones
    description: Timezones
  - name: Units
    description: Units
  - name: User unit memberships
    description: User unit memberships
  - name: Users
    description: Users
  - name: User types
    description: User types
  - name: Conversations
    description: Conversations
paths:
  /users/{user}:
    patch:
      tags:
        - Users
      summary: Update user
      description: Update a user by ID
      operationId: a19bd7413ea8c31a575987f164c35939
      parameters:
        - name: user
          in: path
          description: User ID
          required: true
          schema:
            type: integer
      requestBody:
        required: false
        content:
          application/json:
            schema:
              properties:
                first_name:
                  type: string
                  maxLength: 255
                  minLength: 2
                last_name:
                  type: string
                  maxLength: 255
                  minLength: 2
                email:
                  type: string
                  format: email
                  nullable: true
                reference:
                  type: string
                  nullable: true
                show_email:
                  type: boolean
                unit:
                  type: integer
                  nullable: true
                userTypes:
                  description: IDs of user types
                  type: array
                  items:
                    type: integer
                title:
                  type: string
                  maxLength: 255
                phone:
                  type: string
                  maxLength: 255
                show_phone:
                  type: boolean
                alt_phone:
                  type: string
                  maxLength: 255
                show_alt_phone:
                  type: boolean
                specialties:
                  description: IDs of user specialty categories
                  type: array
                  items:
                    type: integer
                birthday:
                  description: Birthdate string or null
                  type: string
                  nullable: true
                admin:
                  type: integer
                  maximum: 1
                  minimum: 0
                settings:
                  properties:
                    show_birthdays:
                      description: Display mode for birthdays
                      type: string
                    birthdays_optout:
                      type: boolean
                    privatemsg:
                      type: array
                      items:
                        type: integer
                    language:
                      description: Language abbreviation
                      type: string
                    timezone:
                      description: Timezone identifier
                      type: string
                    text_to_speech_enabled:
                      type: boolean
                  type: object
                meta_field_0:
                  description: Custom meta field 0
                  type: string
                  maxLength: 255
                  nullable: true
                meta_field_1:
                  description: Custom meta field 1
                  type: string
                  maxLength: 255
                  nullable: true
                meta_field_2:
                  description: Custom meta field 2
                  type: string
                  maxLength: 255
                  nullable: true
                meta_field_3:
                  description: Custom meta field 3
                  type: string
                  maxLength: 255
                  nullable: true
                meta_field_4:
                  description: Custom meta field 4
                  type: string
                  maxLength: 255
                  nullable: true
              type: object
      responses:
        '204':
          description: User updated
        '422':
          description: Validation error

````